<h1 align="center">Antarctic-Plots</h1>
<h2 align="center">Functions to automate Antarctic data visualization</h2>

<p align="center">
<a href="https://antarctic-plots.readthedocs.io"><strong>Documentation Link</strong></a>
</p>

<!-- SPHINX-START1 -->

<p align="center">
<a href="https://mybinder.org/v2/gh/mdtanker/antarctic_plots/main">
 <img src="https://mybinder.org/badge_logo.svg" alt="Binder link"></a>
 </p>

<p align="center">
<a href="https://pypi.python.org/pypi/antarctic-plots">
<img
src="https://img.shields.io/pypi/v/antarctic-plots?style=flat-square"
alt="Latest version on PyPI"
/>
</a>
<a href="https://github.com/conda-forge/antarctic-plots-feedstock">
<img
src="https://img.shields.io/conda/vn/conda-forge/antarctic-plots.svg?style=flat-square"
alt="Latest version on conda-forge"
/>
</a>
<a href="https://codecov.io/gh/mdtanker/antarctic_plots">
<img
src="https://img.shields.io/codecov/c/github/mdtanker/antarctic_plots/main.svg?style=flat-square"
alt="Test coverage status"
/>

<p align="center">
<a href="https://pypi.org/project/antarctic-plots/">
<img src="https://img.shields.io/pypi/pyversions/antarctic-plots?style=flat-square"
alt="Compatible Python versions."
/>
</a>
<a href="https://zenodo.org/badge/latestdoi/475677039">
<img src="https://zenodo.org/badge/475677039.svg?style=flat-square"
alt="Zenodo DOI"
/>
</a>
<a href='https://readthedocs.org/projects/antarctic-plots/'><img src='https://readthedocs.org/projects/antarctic-plots/badge/?version=latest&style=flat-square' alt='Documentation Status' /></a>
 </p>

<!-- SPHINX-END1 -->

![](docs/cover_fig.png)

## Disclaimer

<p align="center">
🚨 **This package is in early stages of development.** 🚨
</p>

This means that we are still adding a lot of new features and sometimes we make
changes to the ones we already have while we try to improve the software based
on users' experience, test new ideas, make better design decisions, etc. Some of
these changes could be **backwards incompatible**. Keep that in mind before you
update Antarctic-Plots to a newer version.

I welcome any feedback, ideas, or contributions! Please contact us on the
[GitHub discussions page](https://github.com/mdtanker/antarctic_plots/discussions)
or submit an
[issue on GitHub](https://github.com/mdtanker/antarctic_plots/issues) for
problems or feature ideas.

<!-- SPHINX-START2 -->

The **Antarctic-Plots** python package provides some basic tools to help in
conducting Antarctic research. You can use it to download common datasets (i.e.
BedMachine, Bedmap2, MODIA MoA), create maps and plots specific to Antarctica,
and visualize data with multiple methods.

Feel free to use, share, modify, and
[contribute](https://antarctic-plots.readthedocs.io/en/latest/contribute.html)
to this project. I've mostly made this for personal usage so expect significant
changes. Hopefully I'll implement more tests and Gallery examples soon.

## Project goals

Below is a list of some features I hope to eventually include. Feel free to make
a feature request through
[GitHub Issues](https://github.com/mdtanker/antarctic_plots/issues/new/choose).

- Create 3D interactive models to help visualize data.
- Include more Antarctic datasets to aid in download and storage.
- Additional projections and possible support for the Arctic region as well.

<!-- SPHINX-END2 -->

## How to contribute

I really welcome all forms of contribution! If you have any questions, comments
or suggestions, please open a [discussion]() or [issue (feature request)]() on
the [GitHub page](https://github.com/mdtanker/antarctic_plots/)!

Also, please feel free to share how you're using Antarctic-Plots, I'd love to
know.

Please, read our
[Contributor Guide](https://github.com/mdtanker/antarctic_plots/blob/main/.github/CONTRIBUTING.md)
to learn how you can contribute to the project.
